/*
 * Copyright (c) Camden Dixie O'Brien
 * SPDX-License-Identifier: AGPL-3.0-only
 */

#ifndef READER_H
#define READER_H

#include "memory_pool.h"

int read_line(int (*get_byte)(void), char *buffer, int buffer_size);

int parse_expression(
    memory_pool_t *pool, const char *input, int len, expression_t **out);

#endif
